## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 27;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/kubernetes/kube-openapi
%global goipath         k8s.io/kube-openapi
%global forgeurl        https://github.com/kubernetes/kube-openapi
%global commit          14e4089624433effd571b236d33ddc7b5347be3e

%gometa

%global common_description %{expand:
Kubernetes OpenAPI spec generation & serving.}

%global golicenses      LICENSE LICENSE-errors LICENSE-spec\\\
                        LICENSE-strfmt LICENSE-validate
%global godocs          CONTRIBUTING.md README.md SECURITY.md code-of-\\\
                        conduct.md

Name:           %{goname}
Version:        0
Release:        %autorelease -p
Summary:        Kubernetes OpenAPI spec generation & serving

# License for k8s.io/kube-openapi: Apache-2.0
# License for github.com/asaskevich/govalidator: MIT
# License for github.com/davecgh/go-spew: ISC
# License for github.com/emicklei/go-restful/v3: MIT
# License for github.com/go-logr/logr: Apache-2.0
# License for github.com/go-openapi/jsonpointer: Apache-2.0
# License for github.com/go-openapi/jsonreference: Apache-2.0
# License for github.com/go-openapi/swag: Apache-2.0
# License for github.com/golang/protobuf: BSD-3-Clause
# License for github.com/google/gnostic-models: Apache-2.0
# License for github.com/google/go-cmp: BSD-3-Clause
# License for github.com/google/gofuzz: Apache-2.0
# License for github.com/google/uuid: BSD-3-Clause
# License for github.com/josharian/intern: MIT
# License for github.com/json-iterator/go: MIT
# License for github.com/mailru/easyjson: MIT
# License for github.com/modern-go/concurrent: Apache-2.0
# License for github.com/modern-go/reflect2: Apache-2.0
# License for github.com/munnerz/goautoneg:
# License for github.com/NYTimes/gziphandler: Apache-2.0
# License for github.com/onsi/ginkgo/v2: MIT
# License for github.com/onsi/gomega: MIT
# License for github.com/pmezard/go-difflib: BSD-3-Clause
# License for github.com/spf13/pflag: BSD-3-Clause
# License for github.com/stretchr/testify: MIT
# License for golang.org/x/mod: BSD-3-Clause
# License for golang.org/x/net: BSD-3-Clause
# License for golang.org/x/sys: BSD-3-Clause
# License for golang.org/x/text: BSD-3-Clause
# License for golang.org/x/tools: BSD-3-Clause
# License for golang.org/x/xerrors: BSD-3-Clause
# License for google.golang.org/protobuf: BSD-3-Clause
# License for gopkg.in/yaml.v2: Apache-2.0 AND MIT
# License for gopkg.in/yaml.v3: MIT AND Apache-2.0
# License for k8s.io/gengo: Apache-2.0
# License for k8s.io/klog/v2: Apache-2.0
# License for k8s.io/utils: Apache-2.0
# License for sigs.k8s.io/json: Apache-2.0 AND BSD-3-Clause
# License for sigs.k8s.io/structured-merge-diff/v4: Apache-2.0
# License for sigs.k8s.io/yaml: MIT AND BSD-3-Clause
License:        Apache-2.0 AND BSD-3-Clause AND ISC AND MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
sed -i "s|github.com/munnerz/goautoneg|bitbucket.org/ww/goautoneg|" $(find . -name "*.go")
mv pkg/validation/errors/LICENSE LICENSE-errors
mv pkg/validation/spec/LICENSE LICENSE-spec
mv pkg/validation/strfmt/LICENSE LICENSE-strfmt
mv pkg/validation/validate/LICENSE LICENSE-validate

%generate_buildrequires
GOPATH="%{?gobuilddir:%{gobuilddir}:}${GOPATH:+${GOPATH}:}%{?gopath}" GO111MODULE=off golist -t %{goipath}/pkg/generators --imported --package-path %{goipath} --template 'golang({{.}})\n' --with-tests --skip-self

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d pkg/aggregator -d pkg/handler
%endif

%files
%license LICENSE LICENSE-errors LICENSE-spec
%license LICENSE-strfmt LICENSE-validate
%doc CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/openapi-gen
%{_bindir}/openapi2smd

%gopkgfiles

%changelog
* Sat Sep 02 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.27
- Uncommitted changes

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0-0.24
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0-0.22
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.21
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 0-0.20
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.18
- Bump to commit 3c818078ee3de6569a8f02b6345ea3c4cc8b0998

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 21:52:15 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.11.20210113git45edf8a
- Bump to commit 45edf8a2a574ed1c5ba4dc5c7621f60f32d9d26c

* Sat Sep 19 20:13:36 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20200919git64514a1
- Bump to commit 64514a1d5d596b96e6f957e2be275ae14d6b0804

* Tue Aug 18 01:21:32 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.9.20200614git656914f
- Add patch to fix compatibility with latest gnostic

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 14 16:27:09 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.7.20200614git656914f
- Bump to commit 656914f816f9f6bcb37ec2b40cb7c16fd9084d4c

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 22:40:41 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20190706gitb3a7cee
- Bump to commit b3a7cee44a305be0a69e1b9ac03018307287e1b0

* Sat Jul 06 21:51:58 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20190706gita5f05d4
- Bump to commit a5f05d44704602ce36b50a0201a439b616649972

* Sat Jul 06 19:08:03 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20190706gitdb7b694
- Bump to commit db7b694dc208eead64d38030265f702db593fcf2

* Thu May 09 20:58:52 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190509git411b248
- Initial package

